Subject: Re: [mmox] taxonomy of topics

From: Veikko Eeva <[email-masked]>
Date: Tue, 24 Feb 2009 21:51:01 +0200

> If this is a request to limit what topics will be discussed by MMOX, can we please cut LLSD, OGP, and HyperGrid out of the discussion? I've posted my critiques of both to this mailing list and I feel that using another IDL such as Google Protocol Buffers, and starting over from scratch for cross-domain communication would be in the better interest of the virtual world interop. HyperGrid is another implementation of the same trust map proposal of OGP (with different default settings), and no one has suggested that they will be submitting it as a proposal.

Agreed. I haven't read these, but seems to be in the same vein as mine. I feel 
the real issues are about digital rights management, asset management, 
authentication and things like that. Not even the kinds of virtual worlds more 
than deciding what kinds of interactions are supported. For that I would 
propose having a handshaking to establish the most appropriate way of 
communication and otherwise keep it with, for instance in in some TLV protocol. 
In that way expansion is guaranteed and a most way of interaction can be chosen.

That would allow reaping the benefits of decades of engineering experience and 
decades of engineering experience yet to come (and possibly avoid straming tons 
of XML makes the most limited resource, bandwidth, even more limited. :-)).

-- Veikko E.